#!/bin/sh

if [ "$#" -ne 4 ] ; then
echo "usage: tm_update /dir_olds/ /tmp/tm_cpps/tm_cpps.tar.gz /dir_tm_cpps/ /dir_tmp_tm_cpps/"
exit 1
fi

date
set -x
set -v

DIR_OLDS="$1"
NEW_TAR_GZ="$2"
TM_CPPS="$3"
TMP_TM_CPPS="$4"

#if [ ! -d "$DIR_OLDS" ]; then
#  echo "dir does not exist: ""$DIR_OLDS"
#  exit 1
#fi

if [ ! -f "$NEW_TAR_GZ" ]; then
  echo "file does not exist: ""$NEW_TAR_GZ"
  exit 1
fi

if [ ! -d "$TM_CPPS" ]; then
  echo "dir does not exist: ""$TM_CPPS"
  exit 1
fi

if [ ! -d "$TMP_TM_CPPS" ]; then
  echo "file does not exist: ""$TMP_TM_CPPS"
  exit 1
fi

"$TM_CPPS"tm_server stop

sleep 5

killall -9 tm_server
KILL_TM_SERVER=$?

rm -f "$TMP_TM_CPPS"tm_server.pid

MOVE_MASK()
{
for FN in $( ls "$TM_CPPS""$1" ); do
  mv -f "$FN" "$DIR_OLDS"
done
}
MOVE()
{
  mv -f "$TM_CPPS""$1" "$DIR_OLDS"
}
COPY_MASK()
{
for FN in $( ls "$TM_CPPS""$1" ); do
  cp -f "$FN" "$DIR_OLDS"
done
}
COPY()
{
cp -r -f "$TM_CPPS""$1" "$DIR_OLDS"
}
DELETE_MASK()
{
for FN in $( ls "$TM_CPPS""$1" ); do
  rm -f "$FN"
done
}
DELETE()
{
  rm -f -r "$TM_CPPS""$1"
}
#MOVE "tm_server"
#MOVE "html"
#MOVE_MASK "*.sh"
##mv -f /etc/init.d/S56tm_confd "$DIR_OLDS"

#COPY_MASK "*.cfg"
#COPY_MASK "*.xml"

DELETE "tm_server"
DELETE "html"
DELETE_MASK "*.sh"

cd "$TM_CPPS"

NEW_TAR=${NEW_TAR_GZ%.*gz}
rm -f "$NEW_TAR"

gzip -d "$NEW_TAR_GZ"
tar -xvf "$NEW_TAR"

rm -f "$NEW_TAR_GZ"
rm -f "$NEW_TAR"

#find "$TM_CPPS" -type f | xargs chmod 755
#find "$TM_CPPS" -type f | xargs chmod 755
find "$TM_CPPS" -type f -exec chmod 755 {} \;
find "$TM_CPPS" -type d -exec chmod 755 {} \;


TM_END="$TM_CPPS"tm_end.sh
if [ -f "$TM_END" ]; then
source "$TM_END"
rm -f "$TM_END"
fi


